Loading...
Searching...
No Matches
Ogre::VertexPoseKeyFrame::PoseRef Struct Reference

Reference to a pose at a given influence level. More...

`#include <OgreKeyFrame.h>`

## Public Member Functions

| PoseRef (ushort p, float i)

## Public Attributes

float | influence
| Influence level of the linked pose.
ushort | poseIndex
| The linked pose index.

## Detailed Description

Reference to a pose at a given influence level.

Each keyframe can refer to many poses each at a given influence level.

## Constructor & Destructor Documentation

## PoseRef()

Ogre::VertexPoseKeyFrame::PoseRef::PoseRef | ( | ushort | p,
|  | float | i )

inline

References influence, and poseIndex.

## Member Data Documentation

## poseIndex

ushort Ogre::VertexPoseKeyFrame::PoseRef::poseIndex

The linked pose index.

The Mesh contains all poses for all vertex data in one list, both for the shared vertex data and the dedicated vertex data on submeshes. The 'target' on the parent track must match the 'target' on the linked pose.

Referenced by PoseRef().

## influence

float Ogre::VertexPoseKeyFrame::PoseRef::influence

Influence level of the linked pose.

1.0 for full influence (full offset), 0.0 for no influence.

Referenced by PoseRef().

The documentation for this struct was generated from the following file:

- OgreKeyFrame.h